ON INIT {
 IF (#DEBUG != 1) OBJECT_HIDE SELF ON
 SET min_state 1
 SET max_state 10
 SET state min_state

 SETNAME [description_ring_magic]
 SET_MATERIAL METAL
 SET_GROUP JEWELRY
 SET_PRICE 1
 SETOBJECTTYPE RING

 ACCEPT
}

ON INVENTORYUSE
{ // change state
 INC state 1
 IF ( state > max_state ) SET state min_state
 SENDEVENT CHANGE_STATE SELF ""
 ACCEPT
}

ON CHANGE_STATE
{
 GOSUB DISPLAY_STATE
 ACCEPT
}

ON COMBINE
{
 herosay "Applying state :"
 GOSUB DISPLAY_STATE
 RIDICULOUS
 SET temp "APPLY_STATE_"
 SET temp ~temp~~state~
 GOSUB ~temp~
 //EQUIP PLAYER
 ACCEPT
}

>>APPLY_STATE_1
 // poor warrior
 SETEQUIP STRENGTH +10
 SETEQUIP DEXTERITY +5
 SETEQUIP CONSTITUTION +10
 SETEQUIP INTELLIGENCE +3
 INVENTORY PLAYERADD "Weapons\\Short_Sword\\Short_Sword"
 INVENTORY PLAYERADD "Armor\\Chest_Leather\\Chest_Leather"
 INVENTORY PLAYERADD "Armor\\Legging_Leather\\Legging_Leather"
 HEROSAY -d "POOR WARRIOR"
RETURN
>>APPLY_STATE_2
 // medium warrior
 SETEQUIP STRENGTH +12
 SETEQUIP DEXTERITY +8
 SETEQUIP CONSTITUTION +12
 SETEQUIP INTELLIGENCE +3
 INVENTORY PLAYERADD "Weapons\\Long_Sword\\Long_Sword"
 INVENTORY PLAYERADD "Armor\\Chest_Chain\\Chest_Chain"
 INVENTORY PLAYERADD "Armor\\Legging_Chain\\Legging_Chain"
 INVENTORY PLAYERADD "Armor\\Helmet_Chain\\Helmet_Chain"
RETURN
>>APPLY_STATE_3
 // strong warrior
 SETEQUIP STRENGTH +15
 SETEQUIP DEXTERITY +12
 SETEQUIP CONSTITUTION +15
 SETEQUIP INTELLIGENCE +5
 INVENTORY PLAYERADD "Magic\\powder_bone\\powder_bone"
 INVENTORY PLAYERADD "Provisions\\garlic\\garlic"
 INVENTORY PLAYERADD "Magic\\powder_water_lily\\powder_water_lily"
 INVENTORY PLAYERADD "Magic\\powder_morning_glory\\powder_morning_glory"
 INVENTORY PLAYERADD "Magic\\powder_dragon_bone\\dragon_bone_powder"
 INVENTORY PLAYERADD "Jewelry\\diamond\\diamond"
 INVENTORY PLAYERADD "Jewelry\\emerald\\emerald"
 INVENTORY PLAYERADD "Jewelry\\ruby\\ruby"
 INVENTORY PLAYERADD "Magic\\powder_antidote\\powder_antidote"
 INVENTORY PLAYERADD "Jewelry\\gem\\gem"
 RUNE -a aam
 RUNE -a citrius
 RUNE -a comunicatum
 RUNE -a cosum
 RUNE -a folgora
 RUNE -a fridd
 RUNE -a kaom
 RUNE -a mega
 RUNE -a morte
 RUNE -a movis
 RUNE -a nhi
 RUNE -a rhaa
 RUNE -a spacium
 RUNE -a stregum
 RUNE -a taar
 RUNE -a tempus
 RUNE -a tera
 RUNE -a vista
 RUNE -a vitae
 RUNE -a yok
RETURN
>>APPLY_STATE_4
 // poor thief
 SETEQUIP STRENGTH +6
 SETEQUIP DEXTERITY +10
 SETEQUIP CONSTITUTION +7
 SETEQUIP INTELLIGENCE +5
 INVENTORY PLAYERADD "Armor\\chest_leather_stealth\\chest_leather_stealth"
 INVENTORY PLAYERADD "Armor\\legging_leather_stealth\\legging_leather_stealth"
RETURN
>>APPLY_STATE_5
 // medium thief
 SETEQUIP STRENGTH +6
 SETEQUIP DEXTERITY +12
 SETEQUIP CONSTITUTION +12
 SETEQUIP INTELLIGENCE +6
RETURN
>>APPLY_STATE_6
 // strong thief
 SETEQUIP STRENGTH +10
 SETEQUIP DEXTERITY +15
 SETEQUIP CONSTITUTION +10
 SETEQUIP INTELLIGENCE +10
RETURN
>>APPLY_STATE_7
 // poor mage
 SETEQUIP STRENGTH +5
 SETEQUIP DEXTERITY +7
 SETEQUIP CONSTITUTION +6
 SETEQUIP INTELLIGENCE +10
RETURN
>>APPLY_STATE_8
 // medium mage
 SETEQUIP STRENGTH +8
 SETEQUIP DEXTERITY +10
 SETEQUIP CONSTITUTION +8
 SETEQUIP INTELLIGENCE +12
RETURN
>>APPLY_STATE_9
 // strong mage
 SETEQUIP STRENGTH +8
 SETEQUIP DEXTERITY +12
 SETEQUIP CONSTITUTION +8
 SETEQUIP INTELLIGENCE +15
RETURN
>>APPLY_STATE_10
 // master !
 RUNE -a aam
 RUNE -a citrius
 RUNE -a comunicatum
 RUNE -a cosum
 RUNE -a folgora
 RUNE -a fridd
 RUNE -a kaom
 RUNE -a mega
 RUNE -a morte
 RUNE -a movis
 RUNE -a nhi
 RUNE -a rhaa
 RUNE -a spacium
 RUNE -a stregum
 RUNE -a taar
 RUNE -a tempus
 RUNE -a tera
 RUNE -a vista
 RUNE -a vitae
 RUNE -a yok
 SETEQUIP STRENGTH +15
 SETEQUIP DEXTERITY +15
 SETEQUIP CONSTITUTION +15
 SETEQUIP INTELLIGENCE +15
RETURN


>>DISPLAY_STATE
 SET temp "DISPLAY_STATE_"
 SET temp ~temp~~state~
 GOSUB ~temp~
RETURN
>>DISPLAY_STATE_1
 HEROSAY "POOR WARRIOR"
RETURN
>>DISPLAY_STATE_2
 HEROSAY "MEDIUM WARRIOR"
RETURN
>>DISPLAY_STATE_3
 HEROSAY "STRONG WARRIOR"
RETURN
>>DISPLAY_STATE_4
 HEROSAY "POOR THIEF"
RETURN
>>DISPLAY_STATE_5
 HEROSAY "MEDIUM THIEF"
RETURN
>>DISPLAY_STATE_6
 HEROSAY "STRONG THIEF"
RETURN
>>DISPLAY_STATE_7
 HEROSAY "POOR MAGE"
RETURN
>>DISPLAY_STATE_8
 HEROSAY "MEDIUM MAGE"
RETURN
>>DISPLAY_STATE_9
 HEROSAY "STRONG MAGE"
RETURN
>>DISPLAY_STATE_10
 HEROSAY "MASTER"
RETURN

 